Skip to main content

Me Actions

https://api.losant.com/me

Below are the various requests that can be performed against the Me resource, as well as the expected parameters and the potential responses.

Add Recent Item​

Adds an item to a recent item list

Method And Url​

POST https://api.losant.com/me/recentItems

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, me.*, me.addRecentItem, only.User, or only.User.bounded.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Recent Item schema. For example, the following would be a valid body for this request:

{
"itemType": "device",
"parentId": "575ec8687ae143cd83dc4a97",
"itemId": "575ecf887ae143cd83dc4aa2"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"itemType":"device","parentId":"575ec8687ae143cd83dc4a97","itemId":"575ecf887ae143cd83dc4aa2"}' \
https://api.losant.com/me/recentItems

Successful Responses​

CodeTypeDescription
200Recent Item ListUpdated recent item list

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Change Password​

Changes the current user's password and optionally logs out all other sessions

Method And Url​

PATCH https://api.losant.com/me/changePassword

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.changePassword, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Change Password schema. For example, the following would be a valid body for this request:

{
"newPassword": "yourNewPassword1!",
"password": "yourCurrentPassword",
"invalidateExistingTokens": true
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"newPassword":"yourNewPassword1!","password":"yourCurrentPassword","invalidateExistingTokens":true}' \
https://api.losant.com/me/changePassword

Successful Responses​

CodeTypeDescription
200Authenticated UserA new, valid, auth token (potentially all previous tokens are now invalid)

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Delete​

Deletes the current user

Method And Url​

POST https://api.losant.com/me/delete

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.delete, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the User Credentials schema. For example, the following would be a valid body for this request:

{
"email": "email@example.com",
"password": "this is the password"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"email":"email@example.com","password":"this is the password"}' \
https://api.losant.com/me/delete

Successful Responses​

CodeTypeDescription
200SuccessIf the user was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Device Counts​

Returns device counts by day for the time range specified for all applications the current user owns

Method And Url​

GET https://api.losant.com/me/deviceCounts

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.deviceCounts, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
startNStart of range for device count query (ms since epoch)start=0
endNEnd of range for device count query (ms since epoch)end=1465790400000

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/deviceCounts

Successful Responses​

CodeTypeDescription
200Device CountsDevice counts by day

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Disable Two Factor Auth​

Disables multi-factor authentication for the current user

Method And Url​

PATCH https://api.losant.com/me/disableTwoFactorAuth

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.disableTwoFactorAuth, or only.User.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeRecentNShould the user include recent app/dashboard infoincludeRecent=true
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Disable Multi-Factor Authentication schema. For example, the following would be a valid body for this request:

{
"twoFactorCode": "123123",
"password": "this would be your password"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"twoFactorCode":"123123","password":"this would be your password"}' \
https://api.losant.com/me/disableTwoFactorAuth

Successful Responses​

CodeTypeDescription
200MeUpdated user information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Disconnect Github​

Disconnects the user from GitHub

Method And Url​

PATCH https://api.losant.com/me/disconnectGithub

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.disconnectGithub, or only.User.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeRecentNShould the user include recent app/dashboard infoincludeRecent=true
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
https://api.losant.com/me/disconnectGithub

Successful Responses​

CodeTypeDescription
200MeUpdated user information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Enable Two Factor Auth​

Enables multi-factor authentication for the current user

Method And Url​

PATCH https://api.losant.com/me/enableTwoFactorAuth

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.enableTwoFactorAuth, or only.User.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeRecentNShould the user include recent app/dashboard infoincludeRecent=true
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Enable Multi-Factor Authentication schema. For example, the following would be a valid body for this request:

{
"twoFactorAuthKey": "HBBGWJJVOVLXS4ZGNRTDOUKTMESFUR3BMRWVQND2HJYT44TOMVJA",
"password": "this would be your password",
"twoFactorCode": "012345"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"twoFactorAuthKey":"HBBGWJJVOVLXS4ZGNRTDOUKTMESFUR3BMRWVQND2HJYT44TOMVJA","password":"this would be your password","twoFactorCode":"012345"}' \
https://api.losant.com/me/enableTwoFactorAuth

Successful Responses​

CodeTypeDescription
200MeUpdated user information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Fetch Recent Items​

Gets a recent item list

Method And Url​

GET https://api.losant.com/me/recentItems

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.fetchRecentItems, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
parentIdNParent id of the recent listparentId=575ec8687ae143cd83dc4a97
itemTypeYItem type to get the recent list of. Accepted values are: application, device, flow, dashboard, organizationitemType=application

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/recentItems?itemType=application

Successful Responses​

CodeTypeDescription
200Recent Item ListRecent item list

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Generate Two Factor Auth​

Returns the multi-factor authentication key for the current user

Method And Url​

PATCH https://api.losant.com/me/generateTwoFactorAuth

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.generateTwoFactorAuth, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
https://api.losant.com/me/generateTwoFactorAuth

Successful Responses​

CodeTypeDescription
200Multi-Factor Authentication InfoMulti-factor authentication info

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Get​

Retrieves information on the current user

Method And Url​

GET https://api.losant.com/me

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.get, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeRecentNShould the user include recent app/dashboard infoincludeRecent=true
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me

Successful Responses​

CodeTypeDescription
200MeCurrent user information

Error Responses​

CodeTypeDescription

Invite​

Retrieves information for an invitation to an organization

Method And Url​

GET https://api.losant.com/me/invites/INVITE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.invite, only.User, only.User.bounded, or only.User.read.

Request Path Components​

Path ComponentDescriptionExample
INVITE_IDID associated with the invitation575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/invites/INVITE_ID

Successful Responses​

CodeTypeDescription
200Organization Invitation Information For UserInformation about invitation

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if invite not found

Invites​

Retrieves pending organization invitations for a user

Method And Url​

GET https://api.losant.com/me/invites

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.invites, only.User, only.User.bounded, or only.User.read.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/invites

Successful Responses​

CodeTypeDescription
200User Organization InvitationsInformation about invitations

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Notebook Minute Counts​

Returns notebook execution usage by day for the time range specified for all applications the current user owns

Method And Url​

GET https://api.losant.com/me/notebookMinuteCounts

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.notebookMinuteCounts, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
startNStart of range for notebook execution query (ms since epoch)start=0
endNEnd of range for notebook execution query (ms since epoch)end=1465790400000

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/notebookMinuteCounts

Successful Responses​

CodeTypeDescription
200Notebook Minute CountsNotebook usage information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Patch​

Updates information about the current user

Method And Url​

PATCH https://api.losant.com/me

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.patch, or only.User.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeRecentNShould the user include recent app/dashboard infoincludeRecent=true
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Me Patch schema. For example, the following would be a valid body for this request:

{
"email": "email@example.com",
"firstName": "Example",
"lastName": "Name",
"companyName": "Example, Inc.",
"url": "https://example.com",
"password": "My new password!!1"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"email":"email@example.com","firstName":"Example","lastName":"Name","companyName":"Example, Inc.","url":"https://example.com","password":"My new password!!1"}' \
https://api.losant.com/me

Successful Responses​

CodeTypeDescription
200MeUpdated user information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Payload Counts​

Returns payload counts for the time range specified for all applications the current user owns

Method And Url​

GET https://api.losant.com/me/payloadCounts

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.payloadCounts, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
startNStart of range for payload count query (ms since epoch)start=0
endNEnd of range for payload count query (ms since epoch)end=1465790400000
asBytesNIf the resulting stats should be returned as bytesfalseasBytes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/payloadCounts

Successful Responses​

CodeTypeDescription
200Payload StatsPayload counts, by type and source

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Payload Counts Breakdown​

Returns payload counts per resolution in the time range specified for all applications the current user owns

Method And Url​

GET https://api.losant.com/me/payloadCountsBreakdown

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.bounded, all.User.read, me.*, me.payloadCountsBreakdown, only.User, only.User.bounded, or only.User.read.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
startNStart of range for payload count query (ms since epoch)start=0
endNEnd of range for payload count query (ms since epoch)end=1465790400000
resolutionNResolution in milliseconds. Accepted values are: 86400000, 360000086400000resolution=86400000
asBytesNIf the resulting stats should be returned as bytesfalseasBytes=true
includeNonBillableNIf non-billable payloads should be included in the resultfalseincludeNonBillable=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/payloadCountsBreakdown

Successful Responses​

CodeTypeDescription
200Payload Counts BreakdownSum of payload counts by date

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Refresh Token​

Returns a new auth token based on the current auth token

Method And Url​

GET https://api.losant.com/me/refreshToken

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.refreshToken, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/me/refreshToken

Successful Responses​

CodeTypeDescription
200Authenticated UserSuccessful token regeneration

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
401ErrorUnauthorized error if authentication fails

Respond to Invite​

Accepts or rejects an invitation to an organization

Method And Url​

POST https://api.losant.com/me/invites/INVITE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.respondToInvite, or only.User.

Request Path Components​

Path ComponentDescriptionExample
INVITE_IDID associated with the invitation575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Organization Invitation Action For User schema. For example, the following would be a valid body for this request:

{
"action": "accept"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"action":"accept"}' \
https://api.losant.com/me/invites/INVITE_ID

Successful Responses​

CodeTypeDescription
200Organization Invitation Result For UserAcceptance or rejection of invitation

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if invitation not found
410ErrorError if invitation has expired

Transfer Resources​

Moves resources to a new owner

Method And Url​

PATCH https://api.losant.com/me/transferResources

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.transferResources, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Resource Transfer schema. For example, the following would be a valid body for this request:

{
"destinationId": "575ed6e87ae143cd83dc4aa8",
"destinationType": "organization",
"applicationIds": [
"575ec8687ae143cd83dc4a97"
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"destinationId":"575ed6e87ae143cd83dc4aa8","destinationType":"organization","applicationIds":["575ec8687ae143cd83dc4a97"]}' \
https://api.losant.com/me/transferResources

Successful Responses​

CodeTypeDescription
200SuccessIf resource transfer was successful

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Verify Email​

Sends an email verification to the user

Method And Url​

POST https://api.losant.com/me/verify-email

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, me.*, me.verifyEmail, or only.User.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
https://api.losant.com/me/verify-email

Successful Responses​

CodeTypeDescription
200SuccessIf email verification was successfully sent

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Authenticated User​

Schema for the successful response when authenticating a User

Authenticated User Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 4 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 1 key
            • ▶
              {} 2 keys
            • ▶
              [] 2 items

            Authenticated User Example​

            • ▶
              {} 2 keys
              • "575ed70c7ae143cd83dc4aa9"
              • "token_to_use_for_authenticating_subsequent_requests"

            Change Password​

            Schema for the body of a request to change the current user's password

            Change Password Schema​

            • ▶
              {} 5 keys
              • "http://json-schema.org/draft-07/schema#"
              • "object"
              • ▶
                {} 5 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 4 keys
                      • ▶
                        {} 1 key
                        • ▶
                          {} 2 keys
                        • ▶
                          [] 2 items
                          • false

                        Change Password Example​

                        • ▶
                          {} 3 keys
                          • "yourNewPassword1!"
                          • "yourCurrentPassword"
                          • true

                        Device Counts​

                        Schema for the result of a device counts request

                        Device Counts Schema​

                        • ▶
                          {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys

                              Device Counts Example​

                              • ▶
                                {} 3 keys
                                • "1999-05-20T05:00:00.000Z"
                                • "1999-06-20T04:59:59.999Z"
                                • ▶
                                  [] 1 item

                                Error​

                                Schema for errors returned by the API

                                Error Schema​

                                • ▶
                                  {} 3 keys
                                  • "http://json-schema.org/draft-07/schema#"
                                  • "object"
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 2 keys

                                      Error Example​

                                      • ▶
                                        {} 2 keys
                                        • "NotFound"
                                        • "Application was not found"

                                      Me​

                                      Schema for information about the currently authenticated user

                                      Me Schema​

                                      • ▶
                                        {} 3 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 31 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 3 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 1 key
                                                                                      • ▶
                                                                                        {} 3 keys
                                                                                        • ▶
                                                                                          {} 3 keys
                                                                                          • ▶
                                                                                            {} 4 keys
                                                                                            • ▶
                                                                                              {} 4 keys
                                                                                              • ▶
                                                                                                {} 4 keys
                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • ▶
                                                                                                    {} 2 keys
                                                                                                    • ▶
                                                                                                      {} 2 keys
                                                                                                      • ▶
                                                                                                        {} 1 key

                                                                                                    Me Example​

                                                                                                    • ▶
                                                                                                      {} 18 keys
                                                                                                      • "575ed70c7ae143cd83dc4aa9"
                                                                                                      • "575ed70c7ae143cd83dc4aa9"
                                                                                                      • "2016-06-13T04:00:00.000Z"
                                                                                                      • "2016-06-13T04:00:00.000Z"
                                                                                                      • "2016-06-13T04:00:00.000Z"
                                                                                                      • "email@example.com"
                                                                                                      • "Example"
                                                                                                      • "Name"
                                                                                                      • "Example, Inc."
                                                                                                      • "https://example.com"
                                                                                                      • "Ohio"
                                                                                                      • "United States"
                                                                                                      • true
                                                                                                      • false
                                                                                                      • false
                                                                                                      • "Example Name"
                                                                                                      • ▶
                                                                                                        {} 8 keys
                                                                                                        • false

                                                                                                      Me Patch​

                                                                                                      Schema for the body of request to modify the current user

                                                                                                      Me Patch Schema​

                                                                                                      • ▶
                                                                                                        {} 4 keys
                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                        • "object"
                                                                                                        • ▶
                                                                                                          {} 13 keys
                                                                                                          • ▶
                                                                                                            {} 3 keys
                                                                                                            • ▶
                                                                                                              {} 3 keys
                                                                                                              • ▶
                                                                                                                {} 2 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • ▶
                                                                                                                    {} 2 keys
                                                                                                                    • ▶
                                                                                                                      {} 2 keys
                                                                                                                      • ▶
                                                                                                                        {} 2 keys
                                                                                                                        • ▶
                                                                                                                          {} 2 keys
                                                                                                                          • ▶
                                                                                                                            {} 2 keys
                                                                                                                            • ▶
                                                                                                                              {} 3 keys
                                                                                                                              • ▶
                                                                                                                                {} 4 keys
                                                                                                                                • ▶
                                                                                                                                  {} 2 keys
                                                                                                                                  • ▶
                                                                                                                                    {} 4 keys
                                                                                                                                  • false

                                                                                                                                Me Patch Example​

                                                                                                                                • ▶
                                                                                                                                  {} 6 keys
                                                                                                                                  • "email@example.com"
                                                                                                                                  • "Example"
                                                                                                                                  • "Name"
                                                                                                                                  • "Example, Inc."
                                                                                                                                  • "https://example.com"
                                                                                                                                  • "My new password!!1"

                                                                                                                                Disable Multi-Factor Authentication​

                                                                                                                                Schema for the body of a request to disable multi-factor authentication

                                                                                                                                Disable Multi-Factor Authentication Schema​

                                                                                                                                • ▶
                                                                                                                                  {} 5 keys
                                                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                                                  • "object"
                                                                                                                                  • ▶
                                                                                                                                    {} 2 keys
                                                                                                                                    • ▶
                                                                                                                                      {} 2 keys
                                                                                                                                      • ▶
                                                                                                                                        {} 3 keys
                                                                                                                                      • ▶
                                                                                                                                        [] 2 items
                                                                                                                                        • false

                                                                                                                                      Disable Multi-Factor Authentication Example​

                                                                                                                                      • ▶
                                                                                                                                        {} 2 keys
                                                                                                                                        • "123123"
                                                                                                                                        • "this would be your password"

                                                                                                                                      Enable Multi-Factor Authentication​

                                                                                                                                      Schema for the body of a request to enable multi-factor authentication

                                                                                                                                      Enable Multi-Factor Authentication Schema​

                                                                                                                                      • ▶
                                                                                                                                        {} 5 keys
                                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                                        • "object"
                                                                                                                                        • ▶
                                                                                                                                          {} 3 keys
                                                                                                                                          • ▶
                                                                                                                                            {} 3 keys
                                                                                                                                            • ▶
                                                                                                                                              {} 3 keys
                                                                                                                                              • ▶
                                                                                                                                                {} 2 keys
                                                                                                                                              • ▶
                                                                                                                                                [] 2 items
                                                                                                                                                • false

                                                                                                                                              Enable Multi-Factor Authentication Example​

                                                                                                                                              • ▶
                                                                                                                                                {} 3 keys
                                                                                                                                                • "HBBGWJJVOVLXS4ZGNRTDOUKTMESFUR3BMRWVQND2HJYT44TOMVJA"
                                                                                                                                                • "this would be your password"
                                                                                                                                                • "012345"

                                                                                                                                              Multi-Factor Authentication Info​

                                                                                                                                              Schema for information about multi-factor authentication

                                                                                                                                              Multi-Factor Authentication Info Schema​

                                                                                                                                              • ▶
                                                                                                                                                {} 4 keys
                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                • "object"
                                                                                                                                                • ▶
                                                                                                                                                  {} 2 keys
                                                                                                                                                  • ▶
                                                                                                                                                    {} 2 keys
                                                                                                                                                    • ▶
                                                                                                                                                      {} 2 keys
                                                                                                                                                    • false

                                                                                                                                                  Multi-Factor Authentication Info Example​

                                                                                                                                                  • ▶
                                                                                                                                                    {} 2 keys
                                                                                                                                                    • "HBBGWJJVOVLXS4ZGNRTDOUKTMESFUR3BMRWVQND2HJYT44TOMVJA"
                                                                                                                                                    • "string"

                                                                                                                                                  Notebook Minute Counts​

                                                                                                                                                  Schema for the result of a notebook minute counts request

                                                                                                                                                  Notebook Minute Counts Schema​

                                                                                                                                                  • ▶
                                                                                                                                                    {} 3 keys
                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                    • "object"
                                                                                                                                                    • ▶
                                                                                                                                                      {} 3 keys
                                                                                                                                                      • ▶
                                                                                                                                                        {} 2 keys
                                                                                                                                                        • ▶
                                                                                                                                                          {} 2 keys
                                                                                                                                                          • ▶
                                                                                                                                                            {} 2 keys

                                                                                                                                                        Notebook Minute Counts Example​

                                                                                                                                                        • ▶
                                                                                                                                                          {} 3 keys
                                                                                                                                                          • "1999-05-20T05:00:00.000Z"
                                                                                                                                                          • "1999-06-20T04:59:59.999Z"
                                                                                                                                                          • ▶
                                                                                                                                                            [] 1 item

                                                                                                                                                          Organization Invitation Action For User​

                                                                                                                                                          Schema for the body of a request to accept or reject an invitation

                                                                                                                                                          Organization Invitation Action For User Schema​

                                                                                                                                                          • ▶
                                                                                                                                                            {} 5 keys
                                                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                            • "object"
                                                                                                                                                            • ▶
                                                                                                                                                              {} 1 key
                                                                                                                                                              • ▶
                                                                                                                                                                {} 2 keys
                                                                                                                                                              • false
                                                                                                                                                              • ▶
                                                                                                                                                                [] 1 item

                                                                                                                                                              Organization Invitation Action For User Example​

                                                                                                                                                              • ▶
                                                                                                                                                                {} 1 key
                                                                                                                                                                • "accept"

                                                                                                                                                              Organization Invitation Result For User​

                                                                                                                                                              Schema for the result of accepting/rejecting an invitation

                                                                                                                                                              Organization Invitation Result For User Schema​

                                                                                                                                                              • ▶
                                                                                                                                                                {} 3 keys
                                                                                                                                                                • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                • "object"
                                                                                                                                                                • ▶
                                                                                                                                                                  {} 2 keys
                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 2 keys
                                                                                                                                                                    • ▶
                                                                                                                                                                      {} 2 keys

                                                                                                                                                                  Organization Invitation Result For User Example​

                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 2 keys
                                                                                                                                                                    • "rejected"
                                                                                                                                                                    • "575ed6e87ae143cd83dc4aa8"

                                                                                                                                                                  Organization Invitation Information For User​

                                                                                                                                                                  Schema for information about an invitation

                                                                                                                                                                  Organization Invitation Information For User Schema​

                                                                                                                                                                  • ▶
                                                                                                                                                                    {} 3 keys
                                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                    • "object"
                                                                                                                                                                    • ▶
                                                                                                                                                                      {} 8 keys
                                                                                                                                                                      • ▶
                                                                                                                                                                        {} 3 keys
                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 2 keys
                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 1 key
                                                                                                                                                                            • ▶
                                                                                                                                                                              {} 2 keys
                                                                                                                                                                              • ▶
                                                                                                                                                                                {} 1 key
                                                                                                                                                                                • ▶
                                                                                                                                                                                  {} 1 key
                                                                                                                                                                                  • ▶
                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                    • ▶
                                                                                                                                                                                      {} 2 keys

                                                                                                                                                                                  Organization Invitation Information For User Example​

                                                                                                                                                                                  • ▶
                                                                                                                                                                                    {} 6 keys
                                                                                                                                                                                    • "My org"
                                                                                                                                                                                    • "edit"
                                                                                                                                                                                    • false
                                                                                                                                                                                    • "2023-09-06T16:41:15.049Z"
                                                                                                                                                                                    • 4233600000
                                                                                                                                                                                    • true

                                                                                                                                                                                  User Organization Invitations​

                                                                                                                                                                                  Schema for an array of pending organization invitations for a user

                                                                                                                                                                                  User Organization Invitations Schema​

                                                                                                                                                                                  • ▶
                                                                                                                                                                                    {} 3 keys
                                                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                    • "array"
                                                                                                                                                                                    • ▶
                                                                                                                                                                                      {} 4 keys

                                                                                                                                                                                    User Organization Invitations Example​

                                                                                                                                                                                    • ▶
                                                                                                                                                                                      [] 2 items
                                                                                                                                                                                      • ▶
                                                                                                                                                                                        {} 6 keys
                                                                                                                                                                                        • ▶
                                                                                                                                                                                          {} 6 keys

                                                                                                                                                                                        Payload Counts Breakdown​

                                                                                                                                                                                        Schema for the result of a payload counts breakdown request

                                                                                                                                                                                        Payload Counts Breakdown Schema​

                                                                                                                                                                                        • ▶
                                                                                                                                                                                          {} 3 keys
                                                                                                                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                          • "object"
                                                                                                                                                                                          • ▶
                                                                                                                                                                                            {} 3 keys
                                                                                                                                                                                            • ▶
                                                                                                                                                                                              {} 2 keys
                                                                                                                                                                                              • ▶
                                                                                                                                                                                                {} 2 keys
                                                                                                                                                                                                • ▶
                                                                                                                                                                                                  {} 2 keys

                                                                                                                                                                                              Payload Counts Breakdown Example​

                                                                                                                                                                                              • ▶
                                                                                                                                                                                                {} 3 keys
                                                                                                                                                                                                • "1999-05-20T05:00:00.000Z"
                                                                                                                                                                                                • "1999-06-20T04:59:59.999Z"
                                                                                                                                                                                                • ▶
                                                                                                                                                                                                  [] 1 item

                                                                                                                                                                                                Payload Stats​

                                                                                                                                                                                                Schema for the result of a payload stats request

                                                                                                                                                                                                Payload Stats Schema​

                                                                                                                                                                                                • ▶
                                                                                                                                                                                                  {} 3 keys
                                                                                                                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                  • "object"
                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                    {} 19 keys
                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                      {} 2 keys
                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                        {} 2 keys
                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                          {} 2 keys
                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                            {} 2 keys
                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                              {} 2 keys
                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                {} 2 keys
                                                                                                                                                                                                                • ▶
                                                                                                                                                                                                                  {} 2 keys
                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                      {} 2 keys
                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                        {} 2 keys
                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                          {} 2 keys
                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                            {} 2 keys
                                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                                              {} 2 keys
                                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                                {} 2 keys
                                                                                                                                                                                                                                • ▶
                                                                                                                                                                                                                                  {} 2 keys
                                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                                    {} 2 keys
                                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                                      {} 2 keys
                                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                                        {} 2 keys
                                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                                          {} 2 keys

                                                                                                                                                                                                                                      Payload Stats Example​

                                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                                        {} 6 keys
                                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                                          {} 1 key
                                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                                            {} 2 keys
                                                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                                                              {} 1 key
                                                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                                                {} 1 key
                                                                                                                                                                                                                                                • ▶
                                                                                                                                                                                                                                                  {} 1 key
                                                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                                                    {} 1 key

                                                                                                                                                                                                                                                  Recent Item​

                                                                                                                                                                                                                                                  Schema for the body of a request to add a recent item

                                                                                                                                                                                                                                                  Recent Item Schema​

                                                                                                                                                                                                                                                  • ▶
                                                                                                                                                                                                                                                    {} 4 keys
                                                                                                                                                                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                                                                    • "object"
                                                                                                                                                                                                                                                    • ▶
                                                                                                                                                                                                                                                      {} 3 keys
                                                                                                                                                                                                                                                      • ▶
                                                                                                                                                                                                                                                        {} 2 keys
                                                                                                                                                                                                                                                        • ▶
                                                                                                                                                                                                                                                          {} 2 keys
                                                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                                                            {} 2 keys
                                                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                                                            [] 2 items

                                                                                                                                                                                                                                                          Recent Item Example​

                                                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                                                            {} 3 keys
                                                                                                                                                                                                                                                            • "device"
                                                                                                                                                                                                                                                            • "575ec8687ae143cd83dc4a97"
                                                                                                                                                                                                                                                            • "575ecf887ae143cd83dc4aa2"

                                                                                                                                                                                                                                                          Recent Item List​

                                                                                                                                                                                                                                                          Schema for an array of recent items

                                                                                                                                                                                                                                                          Recent Item List Schema​

                                                                                                                                                                                                                                                          • ▶
                                                                                                                                                                                                                                                            {} 3 keys
                                                                                                                                                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                                                                                                                            • "object"
                                                                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                                                                              [] 5 items

                                                                                                                                                                                                                                                            Recent Item List Example​

                                                                                                                                                                                                                                                            • ▶
                                                                                                                                                                                                                                                              {} 2 keys
                                                                                                                                                                                                                                                              • "application"
                                                                                                                                                                                                                                                              • ▶
                                                                                                                                                                                                                                                                [] 2 items

[...]
